using EscapeFromTarkovCheat.Data;
using System.Collections.Generic;

namespace EscapeFromTarkovCheat
{
    public static class LocalisationManager
    {
        static List<LocalisationData> data = new List<LocalisationData>();

        public static void Initialize() {
            data.Add(new LocalisationData(Locale.ENGLISH));
            data.Add(new LocalisationData(Locale.CHINESE));
        }

        public static string GetString(Locale locale, StringKey key) {
            foreach (LocalisationData data in data) {
                if (data.locale == locale)
                    return data.GetByKey(key);
            }
            return $"INVALID_LANGUAGE_{locale}";
        }
    }
}